Linux HOWTOs

About | Home | Search


HOWTO: espgs
Description: easysw's enhanced version of ghostscript
Click here for ChangeLog
NOTE: I use GNU tar >= 1.13.25 so it's -j for .tar.bz2 files,
it's safe to assume that make, gcc, binutils, fileutils/coreutils, gawk, sed, and grep are prerequisites for almost everything


# ESP Ghostscript 8.15.4
# ======================
# This version of Ghostscript was merged with GNU Ghostscript and will
# no longer be developed.
# http://www.cups.org/articles.php?L463
# Check out the ghostscript howto for instructions on installing the
# other version.

# If you are going to replace ESP Ghostscript with GNU Ghostscriipt, or if
# you just want to remove it, skip down to the bottom for instructions.

# Slackware 8.1 included an 'espgs' package in 'extra', 9.0 and 9.1's
# include version 7.05.6, 10.0 and 10.1's include version 7.07.1,
# 10.2's includes 8.15rc4, and 11.0's includes "8.15.3svn185"

# Prerequisites:
# libjpeg
# zlib
# libpng
# CUPS
# HPLIP's HPIJS (if you have an HP Inkjet)
# Gimp-Print/Gutenprint (Canon, Epson, Lexmark, HP, PCL printers)
# GLib
# XFree86 or X.org
# OpenSSL (if cups was built with it)

# This howto used to be part of the cups howto which put tarballs into
# ~/installed/cups/:
test -d ~/installed/cups &&
 ( mv ~/installed/cups/espgs-* ~/installed/ 2> /dev/null
   mv ~/installed/cups/gnu-gs-fonts-* ~/installed/ 2> /dev/null )
test -d ~/src/cups/espgs-* && mv ~/src/cups/espgs-* ~/src/

cd
test -f installed/espgs-8.15.4-source.tar.bz2 &&
 mv installed/espgs-8.15.4-source.tar.bz2 .
test ! -f espgs-8.15.4-source.tar.bz2 &&
 wget http://ftp.easysw.com/pub/ghostscript/8.15.4/\
espgs-8.15.4-source.tar.bz2

# Verify tarball w/ md5sum:
echo "e74e0463e0bfb1cea3db245d8e71828c  espgs-8.15.4-source.tar.bz2" | \
 md5sum -c

mkdir -p -m 0700 src
cd src
find -maxdepth 1 -type d -name "espgs-*" -exec rm -r {} \;
tar xjvf ~/espgs-8.15.4-source.tar.bz2
cd espgs-8.15.4
test $UID = 0 && chown -R root:root .

# If you don't have HPIJS installed, leave off --with-ijs below
# If you don't have GNU libiconv installed, leave off --with-libiconv=gnu
#  below.
# If your OpenSSL isn't installed under /usr/local/ssl, leave off the LDFLAGS part too.

LDFLAGS="-L/usr/local/ssl/lib" \
./configure --prefix=/usr --with-libiconv=gnu --with-ijs
make

# Become root to install it
su

test -x /sbin/removepkg && /sbin/removepkg espgs ghostscript gs_x11

# If you're running a ghostscript that was installed under prefix /usr/local
# (the cups howto used to put it there), either cd into it's source and try
# 'make uninstall' (as root) or try this:
( cd /usr/local
  test -d share/ghostscript && rm -r share/ghostscript
  cd bin
  rm -f gs gsbj gsdj gsdj500 gslj gslp gsnd bdftops dvipdf eps2eps font2c \
    pdf2dsc pdf2ps pdfopt pf2afm pfbtopfa printafm ps2ascii ps2epsi ps2pdf \
    ps2pdf12 ps2pdf13 ps2pdf14 ps2pdfwr ps2ps wftopfa fixmswrd.pl \
    lprsetup.sh pj-gs.sh pv.sh sysvlp.sh unix-lpr.sh
  cd ../man/man1
  rm -f ansi2knr.1 eps2eps.1 gslp.1 pdf2ps.1 pfbtopfa.1 ps2epsi.1 ps2ps.1 \
    font2c.1 gsnd.1 pdfopt.1 printafm.1 ps2pdf.1 wftopfa.1 dvipdf.1 gs.1 \
    pdf2dsc.1 pf2afm.1 ps2ascii.1 ps2pdfwr.1 )

# Install the new version
make install

# Become yourself again
exit

cd
mkdir -p -m 0700 installed
rm -f installed/espgs-*.tar.*
mv espgs-8.15.4-source.tar.bz2 installed/


# Install ghostscript fonts:
cd
test -f installed/gnu-gs-fonts-std-6.0.tar.gz &&
 mv installed/gnu-gs-fonts-std-6.0.tar.gz .
test -f installed/gnu-gs-fonts-other-6.0.tar.gz &&
 mv installed/gnu-gs-fonts-other-6.0.tar.gz .
test ! -f gnu-gs-fonts-std-6.0.tar.gz &&
 wget ftp://ftp.gnu.org/gnu/ghostscript/gnu-gs-fonts-std-6.0.tar.gz
test ! -f gnu-gs-fonts-other-6.0.tar.gz &&
 wget ftp://ftp.gnu.org/gnu/ghostscript/gnu-gs-fonts-other-6.0.tar.gz

# Become root to install them
su

test -x /sbin/removepkg && /sbin/removepkg gsfonts gnu-gs-fonts
test -d /usr/local/share/ghostscript && rm -r /usr/local/share/ghostscript
mkdir -p /usr/share/ghostscript
tar xzvf gnu-gs-fonts-std-6.0.tar.gz -C /usr/share/ghostscript
tar xzvf gnu-gs-fonts-other-6.0.tar.gz -C /usr/share/ghostscript
chown -R root:root /usr/share/ghostscript

# Become yourself again
exit

cd
rm -f installed/gnu-gs-fonts-*.tar.gz
mv gnu-gs-fonts-*.tar.gz installed/


# If you ever want to uninstall ESP Ghostscript, this should do it:
cd
su
test -d /usr/share/ghostscript && rm -r /usr/share/ghostscript
rm -f /etc/cups/pstoraster.convs
( cd /usr/bin ; rm -f bdftops dumphint dvipdf eps2eps fixmswrd.pl \
 font2c gs gsbj gsdj gsdj500 gslj gslp gsnd lprsetup.sh pdf2dsc \
 pdf2ps pdfopt pf2afm pfbtopfa printafm ps2ascii ps2epsi ps2pdf \
 ps2pdf12 ps2pdf13 ps2pdf14 ps2pdfwr ps2ps pv.sh unix-lpr.sh wftopfa )
( /usr/lib/cups/filter ; rm -f pstoraster pstopxl pstoraster.convs \
 pxlcolor.ppd pxlmono.ppd )
( cd /usr/man/man1 ; rm -f dvipdf.1 eps2eps.1 font2c.1 gs.1 gslp.1 \
 gsnd.1 pdf2dsc.1 pdf2ps.1 pdfopt.1 pf2afm.1 pfbtopfa.1 printafm.1 \
 ps2ascii.1 ps2epsi.1 ps2pdf.1 ps2pdfwr.1 ps2ps.1 wftopfa.1 )
( cd /usr/share/cups/model ; rm -f pxlcolor.ppd pxlmono.ppd )
exit
find ~/src -maxdepth 1 -type d -name "espgs-*" -exec rm -r {} \;
rm -f ~/installed/espgs-*.tar.*

Back to the list


Last updated: Tue, 07 Aug 2018 12:06:17 -0400
Jason Englander <jason at englanders dot us>